let mapleader = ","

call plug#begin(stdpath('data') . '/plugged')
Plug 'neoclide/coc.nvim', {'branch': 'release'}
Plug 'nanotech/jellybeans.vim'
call plug#end()

set mouse=a

function CandCPP_hook()
    source ~/.local/share/nvim/plugged/coc.nvim_vimrc
    colorscheme jellybeans
    setlocal makeprg=umake
    setlocal shiftwidth=4
    setlocal softtabstop=4
    nnoremap <buffer> <F7> :make<CR>
    inoremap <buffer> {<CR> {<CR>}<Esc>ko
    inoremap <buffer> {;<CR> {<CR>};<Esc>ko
    inoremap <buffer> <silent><expr> <c-L> coc#refresh()
endfunction

function Mql_hook()
    setlocal ft=cpp
    setlocal makeprg=compile_mql
    nnoremap <buffer> <F7> :exe "make" expand('%:p')<CR>
endfunction

augroup Mode_hooks_group
    autocmd!
    autocmd FileType c call CandCPP_hook()
    autocmd FileType cpp call CandCPP_hook()
    autocmd BufNewFile,BufRead *.mq5 call Mql_hook()
    autocmd BufNewFile,BufRead *.mqh call Mql_hook()
augroup End
